> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get project connections

> Read the endpoints and ways a project can be connected to.

**Operation ID:** `http.projects.connections.list`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/connections
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/connections
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/connections:
    get:
      tags:
        - Projects and access
      summary: Get project connections
      description: >-
        Read the endpoints and ways a project can be connected to.


        Product guidance: [Credential](/concepts/credential),
        [Approval](/concepts/approval).
      operationId: http.projects.connections.list
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_projects_connections_list_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_projects_connections_list_response:
      type: object
      properties:
        data:
          type: object
          properties:
            project_id:
              type: string
            api_url:
              type: string
            mcp_connections:
              type: array
              items:
                type: object
                properties:
                  surface_id:
                    type: string
                  surface:
                    type: string
                  purpose:
                    type: string
                  url:
                    type: string
                required:
                  - surface_id
                  - surface
                  - purpose
                  - url
                additionalProperties: {}
            default_files_surface:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - project_id
            - api_url
            - mcp_connections
            - default_files_surface
          additionalProperties: {}
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.